Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Cisco Packettracer 7.2.1 missing libraries [Solved]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
jerryrrej
n00b
n00b


Joined: 28 Feb 2019
Posts: 10

PostPosted: Thu Mar 21, 2019 12:35 pm    Post subject: Cisco Packettracer 7.2.1 missing libraries [Solved] Reply with quote

Hello,
I am trying to get Packettracer up and running but am missing some libraries. I dont know where to find the libQt5scripttools, any help is appreciated!

Code:
jerry@gentoo ~ $ /opt/pt/bin/PacketTracer7
/opt/pt/bin/PacketTracer7: error while loading shared libraries: libQt5ScriptTools.so.5: cannot open shared object file: No such file or directory


dev-qt packages already installed:
Code:
jerry@gentoo ~ $ cat installeddevqt
dev-qt/designer
dev-qt/linguist-tools
dev-qt/qdbus
dev-qt/qtchooser
dev-qt/qtconcurrent
dev-qt/qtcore
dev-qt/qtdbus
dev-qt/qtdeclarative
dev-qt/qtgraphicaleffects
dev-qt/qtgui
dev-qt/qtmultimedia
dev-qt/qtnetwork
dev-qt/qtopengl
dev-qt/qtpaths
dev-qt/qtprintsupport
dev-qt/qtquickcontrols2
dev-qt/qtquickcontrols
dev-qt/qtscript
dev-qt/qtsensors
dev-qt/qtsql
dev-qt/qtsvg
dev-qt/qttest
dev-qt/qtvirtualkeyboard
dev-qt/qtwayland
dev-qt/qtwebkit
dev-qt/qtwidgets
dev-qt/qtx11extras
dev-qt/qtxml
dev-qt/qtxmlpatterns



emerge --info: http://dpaste.com/33VWPTW
emerge --version: http://dpaste.com/181DC5N
_________________
:)


Last edited by jerryrrej on Thu Mar 21, 2019 4:56 pm; edited 1 time in total
Back to top
View user's profile Send private message
Jaglover
Watchman
Watchman


Joined: 29 May 2005
Posts: 7080
Location: Saint Amant, Acadiana

PostPosted: Thu Mar 21, 2019 12:42 pm    Post subject: Reply with quote

dev-qt/qtscript has scripttools USE flag, try enabling it?
_________________
Please learn how to denote units correctly!
Back to top
View user's profile Send private message
jerryrrej
n00b
n00b


Joined: 28 Feb 2019
Posts: 10

PostPosted: Thu Mar 21, 2019 1:21 pm    Post subject: Reply with quote

Recompiling qtscript with the scripttools USE flag got me one step closer, thank you!

Now this is whats stopping me
Code:
gentoo /home/jerry # /opt/pt/bin/PacketTracer7
/opt/pt/bin/PacketTracer7: /usr/lib64/libcrypto.so.1.0.0: no version information available (required by /opt/pt/bin/PacketTracer7)
Segmentation fault


I have openssl installed.
_________________
:)
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21687
Location: here

PostPosted: Thu Mar 21, 2019 1:33 pm    Post subject: Reply with quote

What openssl version you installed?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
jerryrrej
n00b
n00b


Joined: 28 Feb 2019
Posts: 10

PostPosted: Thu Mar 21, 2019 1:43 pm    Post subject: Reply with quote

Code:
jerry@gentoo ~ $ qlist -Iv openssl
dev-libs/openssl-1.0.2r


emerge --info openssl
Code:
dev-libs/openssl-1.0.2r::gentoo was built with the following:
USE="asm sslv3 tls-heartbeat zlib -bindist -gmp -kerberos -rfc3779 -sctp -sslv2 -static-libs -test -vanilla" ABI_X86="32 (64) (-x32)" CPU_FLAGS_X86="(sse2)"
CFLAGS="-march=native -O2 -pipe -fno-strict-aliasing -Wa,--noexecstack"
CXXFLAGS="-march=native -O2 -pipe -fno-strict-aliasing -Wa,--noexecstack"

_________________
:)
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21687
Location: here

PostPosted: Thu Mar 21, 2019 2:24 pm    Post subject: Reply with quote

Ok openssl isn't the problem it's only a warning message, I've the same message and program start without problem.
You can try with gdb if with backtrace you see something. What return ldd /opt/pt/bin/PacketTracer7
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
jerryrrej
n00b
n00b


Joined: 28 Feb 2019
Posts: 10

PostPosted: Thu Mar 21, 2019 2:26 pm    Post subject: Reply with quote

here is ldd output. What do you mean by gdb and backtrace?
Code:
jerry@gentoo ~ $ ldd /opt/pt/bin/PacketTracer7
/opt/pt/bin/PacketTracer7: /usr/lib64/libcrypto.so.1.0.0: no version information available (required by /opt/pt/bin/PacketTracer7)
   linux-vdso.so.1 (0x00007ffe881fb000)
   libcrypto.so.1.0.0 => /usr/lib64/libcrypto.so.1.0.0 (0x00007f1afb5b0000)
   libQt5WebKitWidgets.so.5 => /usr/lib64/libQt5WebKitWidgets.so.5 (0x00007f1afbb88000)
   libQt5WebKit.so.5 => /usr/lib64/libQt5WebKit.so.5 (0x00007f1af8ae8000)
   libQt5Multimedia.so.5 => /usr/lib64/libQt5Multimedia.so.5 (0x00007f1af87e8000)
   libQt5PrintSupport.so.5 => /usr/lib64/libQt5PrintSupport.so.5 (0x00007f1af8570000)
   libQt5Svg.so.5 => /usr/lib64/libQt5Svg.so.5 (0x00007f1af8318000)
   libQt5Widgets.so.5 => /usr/lib64/libQt5Widgets.so.5 (0x00007f1af7ac8000)
   libQt5Gui.so.5 => /usr/lib64/libQt5Gui.so.5 (0x00007f1af73f0000)
   libQt5Network.so.5 => /usr/lib64/libQt5Network.so.5 (0x00007f1af7050000)
   libQt5Xml.so.5 => /usr/lib64/libQt5Xml.so.5 (0x00007f1af6e10000)
   libQt5Script.so.5 => /usr/lib64/libQt5Script.so.5 (0x00007f1af6988000)
   libQt5ScriptTools.so.5 => /usr/lib64/libQt5ScriptTools.so.5 (0x00007f1af66b0000)
   libQt5Sql.so.5 => /usr/lib64/libQt5Sql.so.5 (0x00007f1af6460000)
   libQt5Core.so.5 => /usr/lib64/libQt5Core.so.5 (0x00007f1af5da0000)
   libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f1af5b80000)
   libstdc++.so.6 => /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.0/libstdc++.so.6 (0x00007f1af5778000)
   libm.so.6 => /lib64/libm.so.6 (0x00007f1af53e0000)
   libgcc_s.so.1 => /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.0/libgcc_s.so.1 (0x00007f1af51c8000)
   libc.so.6 => /lib64/libc.so.6 (0x00007f1af4e00000)
   libdl.so.2 => /lib64/libdl.so.2 (0x00007f1af4bf8000)
   libz.so.1 => /lib64/libz.so.1 (0x00007f1af49e0000)
   libicuuc.so.63 => /usr/lib64/libicuuc.so.63 (0x00007f1af4618000)
   libicui18n.so.63 => /usr/lib64/libicui18n.so.63 (0x00007f1af4148000)
   libjpeg.so.62 => /usr/lib64/libjpeg.so.62 (0x00007f1af3ed8000)
   libpng16.so.16 => /usr/lib64/libpng16.so.16 (0x00007f1af3ca0000)
   libhyphen.so.0 => /usr/lib64/libhyphen.so.0 (0x00007f1af3a98000)
   libxml2.so.2 => /usr/lib64/libxml2.so.2 (0x00007f1af3738000)
   libxslt.so.1 => /usr/lib64/libxslt.so.1 (0x00007f1af34f8000)
   libsqlite3.so.0 => /usr/lib64/libsqlite3.so.0 (0x00007f1af31c8000)
   libgio-2.0.so.0 => /usr/lib64/libgio-2.0.so.0 (0x00007f1af2e28000)
   libgstapp-1.0.so.0 => /usr/lib64/libgstapp-1.0.so.0 (0x00007f1af2c18000)
   libgstbase-1.0.so.0 => /usr/lib64/libgstbase-1.0.so.0 (0x00007f1af29a0000)
   libgstreamer-1.0.so.0 => /usr/lib64/libgstreamer-1.0.so.0 (0x00007f1af2660000)
   libgstpbutils-1.0.so.0 => /usr/lib64/libgstpbutils-1.0.so.0 (0x00007f1af2428000)
   libgstaudio-1.0.so.0 => /usr/lib64/libgstaudio-1.0.so.0 (0x00007f1af21b0000)
   libgsttag-1.0.so.0 => /usr/lib64/libgsttag-1.0.so.0 (0x00007f1af1f70000)
   libgstvideo-1.0.so.0 => /usr/lib64/libgstvideo-1.0.so.0 (0x00007f1af1cd8000)
   libgstfft-1.0.so.0 => /usr/lib64/libgstfft-1.0.so.0 (0x00007f1af1ac8000)
   libgobject-2.0.so.0 => /usr/lib64/libgobject-2.0.so.0 (0x00007f1af1870000)
   libglib-2.0.so.0 => /usr/lib64/libglib-2.0.so.0 (0x00007f1af1558000)
   /lib64/ld-linux-x86-64.so.2 (0x00007f1afb9f0000)
   libpulse.so.0 => /usr/lib64/libpulse.so.0 (0x00007f1af1300000)
   libGL.so.1 => /usr/lib64/opengl/nvidia/lib/libGL.so.1 (0x00007f1af1050000)
   libharfbuzz.so.0 => /usr/lib64/libharfbuzz.so.0 (0x00007f1af0d58000)
   libssl.so.1.0.0 => /usr/lib64/libssl.so.1.0.0 (0x00007f1af0ae8000)
   libpcre2-16.so.0 => /usr/lib64/libpcre2-16.so.0 (0x00007f1af0870000)
   libdouble-conversion.so.2 => /usr/lib64/libdouble-conversion.so.2 (0x00007f1af0660000)
   libicudata.so.63 => /usr/lib64/libicudata.so.63 (0x00007f1aeea70000)
   libgmodule-2.0.so.0 => /usr/lib64/libgmodule-2.0.so.0 (0x00007f1aee868000)
   libresolv.so.2 => /lib64/libresolv.so.2 (0x00007f1aee650000)
   libmount.so.1 => /lib64/libmount.so.1 (0x00007f1aee3f0000)
   librt.so.1 => /lib64/librt.so.1 (0x00007f1aee1e8000)
   liborc-0.4.so.0 => /usr/lib64/liborc-0.4.so.0 (0x00007f1aedf68000)
   libffi.so.6 => /usr/lib64/libffi.so.6 (0x00007f1aedd58000)
   libpcre.so.1 => /lib64/libpcre.so.1 (0x00007f1aedae8000)
   libpulsecommon-12.2.so => /usr/lib64/pulseaudio/libpulsecommon-12.2.so (0x00007f1aed860000)
   libdbus-1.so.3 => /usr/lib64/libdbus-1.so.3 (0x00007f1aed618000)
   libgdbm.so.4 => /usr/lib64/libgdbm.so.4 (0x00007f1aed408000)
   libcap.so.2 => /lib64/libcap.so.2 (0x00007f1aed200000)
   libGLX.so.0 => /usr/lib64/opengl/nvidia/lib/libGLX.so.0 (0x00007f1aecfd0000)
   libGLdispatch.so.0 => /usr/lib64/opengl/nvidia/lib/libGLdispatch.so.0 (0x00007f1aeccf8000)
   libfreetype.so.6 => /usr/lib64/libfreetype.so.6 (0x00007f1aeca38000)
   libgraphite2.so.3 => /usr/lib64/libgraphite2.so.3 (0x00007f1aec810000)
   libblkid.so.1 => /lib64/libblkid.so.1 (0x00007f1aec5b8000)
   libX11-xcb.so.1 => /usr/lib64/libX11-xcb.so.1 (0x00007f1aec3b0000)
   libX11.so.6 => /usr/lib64/libX11.so.6 (0x00007f1aec070000)
   libxcb.so.1 => /usr/lib64/libxcb.so.1 (0x00007f1aebe40000)
   libICE.so.6 => /usr/lib64/libICE.so.6 (0x00007f1aebc20000)
   libSM.so.6 => /usr/lib64/libSM.so.6 (0x00007f1aeba18000)
   libXtst.so.6 => /usr/lib64/libXtst.so.6 (0x00007f1aeb810000)
   libwrap.so.0 => /lib64/libwrap.so.0 (0x00007f1aeb600000)
   libsndfile.so.1 => /usr/lib64/libsndfile.so.1 (0x00007f1aeb388000)
   libasyncns.so.0 => /usr/lib64/libasyncns.so.0 (0x00007f1aeb180000)
   libXext.so.6 => /usr/lib64/libXext.so.6 (0x00007f1aeaf68000)
   libbz2.so.1 => /lib64/libbz2.so.1 (0x00007f1aead50000)
   libuuid.so.1 => /lib64/libuuid.so.1 (0x00007f1aeab48000)
   libXau.so.6 => /usr/lib64/libXau.so.6 (0x00007f1aea940000)
   libXdmcp.so.6 => /usr/lib64/libXdmcp.so.6 (0x00007f1aea738000)
   libbsd.so.0 => /usr/lib64/libbsd.so.0 (0x00007f1aea520000)
   libFLAC.so.8 => /usr/lib64/libFLAC.so.8 (0x00007f1aea2e0000)
   libogg.so.0 => /usr/lib64/libogg.so.0 (0x00007f1aea0d8000)
   libvorbis.so.0 => /usr/lib64/libvorbis.so.0 (0x00007f1ae9ea8000)
   libvorbisenc.so.2 => /usr/lib64/libvorbisenc.so.2 (0x00007f1ae9bf8000)

_________________
:)
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21687
Location: here

PostPosted: Thu Mar 21, 2019 2:50 pm    Post subject: Reply with quote

What package you installed? Because I see that your program use qt from system and probably this cause the segmentation fault.
Try to unpack program with bundled qt library to see if work
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
jerryrrej
n00b
n00b


Joined: 28 Feb 2019
Posts: 10

PostPosted: Thu Mar 21, 2019 2:59 pm    Post subject: Reply with quote

I downloaded the official Linux 64-bit install file from netacad.com, unpacked the file and ran the install script placing the files in /opt/pt. I dont understand what you want me to do, how do i unpack the qt library?
_________________
:)
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21687
Location: here

PostPosted: Thu Mar 21, 2019 3:09 pm    Post subject: Reply with quote

jerryrrej wrote:
I downloaded the official Linux 64-bit install file from netacad.com, unpacked the file and ran the install script placing the files in /opt/pt. I dont understand what you want me to do, how do i unpack the qt library?

Ok I see the problem, try to go in
Code:
$ cd /opt/pt/bin

and then run
Code:
$ ./PacketTracer7


EDIT: or run /opt/pt/packettracer that add 'correct' LD_LIBRARY_PATH
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
jerryrrej
n00b
n00b


Joined: 28 Feb 2019
Posts: 10

PostPosted: Thu Mar 21, 2019 3:42 pm    Post subject: Reply with quote

Running /opt/pt/packettracer only shows
Code:
jerry@gentoo ~ $ /opt/pt/packettracer
Starting Packet Tracer 7.2.1

And nothing happens.

Running ./Packettracer7
Code:
jerry@gentoo /opt/pt/bin $ ./PacketTracer7
./PacketTracer7: error while loading shared libraries: libpng12.so.0: cannot open shared object file: No such file or directory

shows me this error
how do i add the correct LD_LIBRARY_PATH?

Edit: I did not notice a new error has come up, where can i find this version of libpng? I currently have libpng-1.6.35-r1 installed.
Edit-2: I installed libpng-12 from sourceforge and am now back to the previous halt-point.
Code:
jerry@gentoo ~/Downloads/libpng-1.2.59 $ /opt/pt/bin/PacketTracer7
/opt/pt/bin/PacketTracer7: /usr/lib64/libcrypto.so.1.0.0: no version information available (required by /opt/pt/bin/PacketTracer7)
[2]    21335 segmentation fault  /opt/pt/bin/PacketTracer7

_________________
:)
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21687
Location: here

PostPosted: Thu Mar 21, 2019 4:12 pm    Post subject: Reply with quote

jerryrrej wrote:
Edit: I did not notice a new error has come up, where can i find this version of libpng? I currently have libpng-1.6.35-r1 installed.
Edit-2: I installed libpng-12 from sourceforge and am now back to the previous halt-point.

libpng is slotted in gentoo and you can install two different version. Remove libpng-12 installed from sourceforge and run
Code:
emerge media-libs/libpng:1.2


jerryrrej wrote:
Code:
jerry@gentoo ~/Downloads/libpng-1.2.59 $ /opt/pt/bin/PacketTracer7
/opt/pt/bin/PacketTracer7: /usr/lib64/libcrypto.so.1.0.0: no version information available (required by /opt/pt/bin/PacketTracer7)
[2]    21335 segmentation fault  /opt/pt/bin/PacketTracer7

Run /opt/pt/bin/PacketTracer7 is different to run cd /opt/pt/bin/ && ./PacketTracer7 because the first command search qt lib in system (/usr/lib64) while the second search lib in current directory (in this case /opt/pt/bin/).
_________________
Questions are guaranteed in life; Answers aren't.


Last edited by fedeliallalinea on Thu Mar 21, 2019 4:43 pm; edited 1 time in total
Back to top
View user's profile Send private message
jerryrrej
n00b
n00b


Joined: 28 Feb 2019
Posts: 10

PostPosted: Thu Mar 21, 2019 4:32 pm    Post subject: Reply with quote

You are an angel <3 I slotted libpng1.2 and ran cd /opt/pt/bin && ./Packettracer7 and now it is finally working!
Thank you for your patience and help.
_________________
:)
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21687
Location: here

PostPosted: Thu Mar 21, 2019 4:43 pm    Post subject: Reply with quote

jerryrrej wrote:
You are an angel <3 I slotted libpng1.2 and ran cd /opt/pt/bin && ./Packettracer7 and now it is finally working!
Thank you for your patience and help.

Theoretically should work also with /opt/pt/packettracer
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum